GHSA-wj24-xmc5-hjw4

Suggest an improvement
Source
https://github.com/advisories/GHSA-wj24-xmc5-hjw4
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/05/GHSA-wj24-xmc5-hjw4/GHSA-wj24-xmc5-hjw4.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-wj24-xmc5-hjw4
Aliases
  • CVE-2019-16567
Published
2022-05-24T17:03:48Z
Modified
2024-02-16T08:06:21.179545Z
Severity
  • 4.3 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N CVSS Calculator
Summary
Jenkins Team Concert Plugin missing permission check
Details

A missing permission check in Jenkins Team Concert Plugin 1.3.0 and earlier in form-related methods allowed users with Overall/Read access to enumerate credentials ID of credentials stored in Jenkins.

References

Affected packages

Maven / org.jenkins-ci.plugins:teamconcert

Package

Name
org.jenkins-ci.plugins:teamconcert
View open source insights on deps.dev
Purl
pkg:maven/org.jenkins-ci.plugins/teamconcert

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Last affected
1.3.0

Affected versions

1.*

1.0.1
1.0.4
1.0.5
1.0.7
1.0.10
1.0.11
1.0.12
1.1.2
1.1.8
1.1.9
1.1.9.1
1.1.9.2
1.1.9.3
1.1.9.4
1.1.9.5
1.1.9.6
1.1.9.6.1
1.1.9.7
1.1.9.8
1.1.9.9
1.2.0.0
1.2.0.1
1.2.0.2
1.2.0.3
1.2.0.4
1.2.0.5
1.3.0